javax.xml.crypto

## Interface KeySelectorResult

-     public interface KeySelectorResult

  The result returned by the `KeySelector.select` method.

  At a minimum, a `KeySelectorResult` contains the `Key` selected by the `KeySelector`. Implementations of this interface may add methods to return implementation or algorithm specific information, such as a chain of certificates or debugging information.

  Since:
    1.6
  See Also:
    `KeySelector`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `getKey()` Returns the selected key.

- - ### Method Detail

    - #### getKey

          Key getKey()

      Returns the selected key.
      Returns:
        the selected key, or `null` if none can be found

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.